The anchor authority for every signature.
Sign anywhere. Seal it to the SealProof Anchor. Prove it years later — to any court, auditor or counterparty, without revealing a word of the document.
Built on open standards
- ESIGN Act
- UETA
- RFC 3161
- RFC 8032
- RFC 9162
Sign
Signers complete the document on any device.
Fingerprint
A SHA-256 hash is computed on the device.
Timestamp
The hash is signed and stamped by a timestamp authority.
Batch
Seals are rolled into a Merkle tree every few minutes.
Anchor
The root is published to the SealProof Anchor, permanently.
See a seal hold, and break.
Drop in any file. We fingerprint it in your browser — nothing is uploaded. Seal it, change one character, and drop it again.
Demo only: the seal is kept in this browser tab, not anchored to the ledger.
A full PDF editor, on your desk.
Edit, organize, scan, export and redact PDFs on your own computer. Then send them for signature or seal them, without switching apps. Your files stay on your machine.

Edit PDF
Change text and images, matched to the document's own fonts
Organize and combine
Reorder, rotate, split and merge pages and files
Scan and OCR
Scan from your scanner and make pages searchable
Export
Save as Word, Excel, PowerPoint, images or text
Redact and protect
Remove content for good, add passwords and permissions
Compare, forms and more
Compare versions, build forms, accessibility checks, batch actions
Reading, comments, Fill & Sign, sending for signature and sealing will be free. Every tool is included with Business, or add it to Solo or Team for $10 a user a month.
Unlimited envelopes. Documents only you can read.
Most e-signature services encrypt your files but keep the keys, so they can open them. SealProof encrypts on your device, so we can't. Send as much as you need for less than DocuSign.
Solo
For freelancers and consultants who sign regularly.
- 1 sender
- Unlimited envelopes
- End-to-end encrypted
- Anchored seals & certificates
- Mobile signing
- Add SealProof Desktop: +$10/mo ($8 yearly)
Team
Most popularEverything a team needs to send, sign and prove agreements.
- Unlimited envelopes
- End-to-end encrypted
- Shared templates & branding
- 2 photo ID checks / user / month
- Audit trail exports
- Add SealProof Desktop: +$10/user/mo ($8 yearly)
Business
For regulated teams and products that embed signing.
- Everything in Team
- SealProof Desktop included
- Full API & webhooks
- 5 photo ID checks / user / month
- SSO & bulk send
- Priority support
Anchoring and public verification are included on every plan. Unlimited envelopes are subject to fair use (up to 1,000 per user a month on Team and Business and 300 on Solo, far more than most teams send). Photo ID checks are shared across your team and reset monthly; boost packs add more from $3 each and never expire. Prices are in US dollars, before sales tax where it applies.
What you'd pay over 3 years
Drag to match your team size.
Track every envelope
Status, signers, audit trails and proof bundles.
Verify any document
Returns verified, altered or unknown, plus the proof bundle.
Webhooks for every event
Viewed, signed, sealed, anchored.
# Verify a document against the SealProof Anchor curl https://app.sealproof.io/api/v1/verify \ -F "file=@agreement.pdf" # Response { "status": "verified", "sha256": "9f2c07a1…e41b7a", "sealed_at": "2026-09-23T14:32:07Z", "signers": 3, "anchor": { "batch": 48214 } }
Seal your first document.
Create a free account with your work email and send your first envelope in minutes. No credit card needed.
